<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <title>Document</title>
  <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
</head>

<body>
  <div id="app">
    <!-- sintaxe 'mustache' / 'double mustache' - chaves duplas -->
    <!-- 
      - o que tá dentro do padrão 'double mustache', se dentro do elemento controlado pela instância vue, será lido e interpretado por algum valor textual (ocorre a interpolação).
      - o que tá dentro do 'double mustache' precisa ser resolvido (ser passível de ser resolvido) para uma string, pois o HTML é um padrão textual.
      - "tudo que tá no corpo do HTML (renderizado) é valor string"
    -->
    <p>{{ titulo }}</p>
    <!--
      O Vue armazena, direto na instância (que controla no HTML o elemento especificado) tudo que tá nos objetos internos:
      - data
      - methods
    -->
    <p>{{ saudacao() }}</p>
  </div>
  <script src="app.js"></script>
</body>

</html>